# markdown

A markdown renderer that supports only a subset of the CommonMark spec in order to make the rendering more efficient and the syntax more consistent.

## Features

- Bold
- Code
- Italic
- Links
- Lists
- Images
- Headers
- Paragraphs
- Quotes
- Separators
- Strikethrough
- Tables

## Installation

```shell
go get git.urbach.dev/go/markdown
```

## Usage

```go
html := markdown.Render("# Header")
```

## Tests

```
PASS: TestEmpty
PASS: TestParagraph
PASS: TestHeader
PASS: TestItalic
PASS: TestBold
PASS: TestStrike
PASS: TestLink
PASS: TestImage
PASS: TestList
PASS: TestTables
PASS: TestCode
PASS: TestQuote
PASS: TestSeparator
PASS: TestCombined
PASS: TestSecurity
coverage: 100.0% of statements
```

## Benchmarks

```
BenchmarkSmall-12        5884641               201.5 ns/op            32 B/op          1 allocs/op
BenchmarkMedium-12        938371              1124 ns/op             512 B/op          1 allocs/op
BenchmarkLarge-12         277065              4115 ns/op            2560 B/op          2 allocs/op
```

## License

Please see the [license documentation](https://urbach.dev/license).

## Copyright

© 2024 Eduard Urbach